PROGRAM Episoder;

USES
  Crt,
  DOS,
  UserCONA,
  UserCONB,
  List2ADT,
  List2Data,
  Utility;

TYPE
  String5        = STRING[5];
  EpisodePart    = RECORD
                     NewName,
                     MapName : STRING;
                   END;
  EpisodeArray = ARRAY [1..11] OF EpisodePart;

{***************************************************************************}
PROCEDURE ReadSettings (SODFile : STRING; VAR Episode1, Episode2, Episode3 : EpisodeArray);

VAR
  Count       : Byte;
  EpisodeData : Text;

BEGIN
  assign (EpisodeData,SODFile);
  reset (EpisodeData);
  FOR Count := 1 TO 7 DO readln (EpisodeData,Episode1[Count].MapName);
  FOR Count := 1 TO 7 DO readln (EpisodeData,Episode1[Count].NewName);
  FOR Count := 1 TO 11 DO readln (EpisodeData,Episode2[Count].MapName);
  FOR Count := 1 TO 11 DO readln (EpisodeData,Episode2[Count].NewName);
  FOR Count := 1 TO 11 DO readln (EpisodeData,Episode3[Count].MapName);
  FOR Count := 1 TO 11 DO readln (EpisodeData,Episode3[Count].NewName);
  close(EpisodeData);
END;

{***************************************************************************}
PROCEDURE SaveSettings (SODFile : STRING; Episode1, Episode2, Episode3 : EpisodeArray);

VAR
  Count       : Byte;
  EpisodeData : Text;

BEGIN
  assign (EpisodeData,SODFile);
  rewrite (EpisodeData);
  FOR Count := 1 TO 7 DO writeln (EpisodeData,Episode1[Count].MapName);
  FOR Count := 1 TO 7 DO writeln (EpisodeData,Episode1[Count].NewName);
  FOR Count := 1 TO 11 DO writeln (EpisodeData,Episode2[Count].MapName);
  FOR Count := 1 TO 11 DO writeln (EpisodeData,Episode2[Count].NewName);
  FOR Count := 1 TO 11 DO writeln (EpisodeData,Episode3[Count].MapName);
  FOR Count := 1 TO 11 DO writeln (EpisodeData,Episode3[Count].NewName);
  close(EpisodeData);
END;


{***************************************************************************}
PROCEDURE SaveCON (Episode1, Episode2, Episode3 : EpisodeArray);

VAR
  DirInfo   : SearchRec;
  Space,
  LevelPos,
  Count,
  DownCount : Byte;
  OldCON,
  NewCON    : Text;
  TempStr   : STRING;

BEGIN

  FindFirst ('user.con',Archive,DirInfo);
  IF DOSError <> 0 THEN
    BEGIN
      assign (OldCON,'USER.CON');
      rewrite (OldCON);
      UserPart1 (OldCON);
      UserPart2 (OldCON);
      UserPart3 (OldCON);
      UserPart4 (OldCON);
      UserPart5 (OldCON);
      UserPart6 (OldCON);
      UserPart7 (OldCON);
      UserPart8 (OldCON);
      close (OldCON);
    END;

  assign (OldCON,'USER.CON');
  reset (OldCON);
  assign (NewCON,'EPISODER.TMP');
  rewrite (NewCON);

  TempStr := '';

  {Remind them to add this line, if gone}
  WHILE (TempStr <> '// Level titles cannot excede 32 characters.') AND NOT(EoF(OldCON)) DO
    BEGIN
      readln (OldCON,TempStr);
      writeln (NewCON,TempStr);
    END;

  writeln (NewCON);
  LevelPos := 0;
  FOR Count := 1 TO 7 DO
    BEGIN
      IF Episode1[Count].MapName <> '--------' THEN
        BEGIN
          Space := pos(' ',Episode1[Count].MapName);
          delete (Episode1[Count].MapName,Space,8);
          DownCount := length(Episode1[Count].NewName);
          WHILE Episode1[Count].NewName[DownCount] = ' ' DO dec(DownCount);
          delete (Episode1[Count].NewName,DownCount + 1, length(Episode1[Count].NewName));
          writeln (NewCON,'definelevelname 0 ',LevelPos,' ',Episode1[Count].MapName,
                   '.MAP 00:00 00:00 ',Episode1[Count].NewName);
          inc(LevelPos);
        END;
    END;

  writeln (NewCON);
  LevelPos := 0;
  FOR Count := 1 TO 11 DO
    BEGIN
      IF Episode2[Count].MapName <> '--------' THEN
        BEGIN
          Space := pos(' ',Episode2[Count].MapName);
          delete (Episode2[Count].MapName,Space,8);
          DownCount := length(Episode2[Count].NewName);
          WHILE Episode2[Count].NewName[DownCount] = ' ' DO dec(DownCount);
          delete (Episode2[Count].NewName,DownCount + 1, length(Episode2[Count].NewName));
          writeln (NewCON,'definelevelname 1 ',LevelPos,' ',Episode2[Count].MapName,
                   '.MAP 00:00 00:00 ',Episode2[Count].NewName);
          inc(LevelPos);
        END;
    END;

  writeln (NewCON);
  LevelPos := 0;
  FOR Count := 1 TO 11 DO
    BEGIN
      IF Episode3[Count].MapName <> '--------' THEN
        BEGIN
          Space := pos(' ',Episode3[Count].MapName);
          delete (Episode3[Count].MapName,Space,8);
          DownCount := length(Episode3[Count].NewName);
          WHILE Episode3[Count].NewName[DownCount] = ' ' DO dec(DownCount);
          delete (Episode3[Count].NewName,DownCount + 1, length(Episode3[Count].NewName));
          writeln (NewCON,'definelevelname 2 ',LevelPos,' ',Episode3[Count].MapName,
                   '.MAP 00:00 00:00 ',Episode3[Count].NewName);
          inc(LevelPos);
        END;
    END;

  WHILE (TempStr <> '// Music will not play if the .MID file excedes 72000 bytes.') AND NOT(EoF(OldCON)) DO
      readln (OldCON,TempStr);

  writeln (NewCON);
  writeln (NewCON,TempStr);
  WHILE NOT(EoF(OldCON)) DO
    BEGIN
      readln (OldCON,TempStr);
      writeln (NewCON,TempStr);
    END;
  close (OldCON);
  close (NewCON);

  assign (OldCON,'EPISODER.TMP');
  reset (OldCON);
  assign (NewCON,'USER.CON');
  rewrite (NewCON);
  WHILE NOT(EoF(OldCON)) DO
    BEGIN
      readln (OldCON,TempStr);
      writeln (NewCON,TempStr);
    END;
  close (OldCON);
  close (NewCON);
END;

{***************************************************************************}
PROCEDURE ResetEpisode1 (VAR Episode1 : EpisodeArray; Draw : Boolean);

VAR
  Count : Byte;

BEGIN
  Episode1[1].MapName := 'E1L1    ';
  Episode1[2].MapName := 'E1L2    ';
  Episode1[3].MapName := 'E1L3    ';
  Episode1[4].MapName := 'E1L4    ';
  Episode1[5].MapName := 'E1L5    ';
  Episode1[6].MapName := 'E1L6    ';
  Episode1[7].MapName := 'E1L7    ';

  Episode1[1].NewName := 'HOLLYWOOD HOLOCAUST           ';
  Episode1[2].NewName := 'RED LIGHT DISTRICT            ';
  Episode1[3].NewName := 'DEATH ROW                     ';
  Episode1[4].NewName := 'TOXIC DUMP                    ';
  Episode1[5].NewName := 'THE ABYSS                     ';
  Episode1[6].NewName := 'LAUNCH FACILITY               ';
  Episode1[7].NewName := 'FACES OF DEATH                ';

  IF Draw THEN
    BEGIN
      TcTb (14,1);
      FOR Count := 3 TO 9 DO WrtS (6,Count,'                                        ');
      FOR Count := 1 TO 7 DO
        BEGIN
          WrtS (6,Count + 2,Episode1[Count].MapName);
          WrtS (16,Count + 2,Episode1[Count].NewName);
        END;
    END;
END;

{***************************************************************************}
PROCEDURE ResetEpisode2 (VAR Episode2 : EpisodeArray; Draw : Boolean);

VAR
  Count : Byte;

BEGIN

  Episode2[1].MapName := 'E2L1    ';
  Episode2[2].MapName := 'E2L2    ';
  Episode2[3].MapName := 'E2L3    ';
  Episode2[4].MapName := 'E2L4    ';
  Episode2[5].MapName := 'E2L5    ';
  Episode2[6].MapName := 'E2L6    ';
  Episode2[7].MapName := 'E2L7    ';
  Episode2[8].MapName := 'E2L8    ';
  Episode2[9].MapName := 'E2L9    ';
  Episode2[10].MapName := 'E2L10   ';
  Episode2[11].MapName := 'E2L11   ';

  Episode2[1].NewName := 'SPACEPORT                     ';
  Episode2[2].NewName := 'INCUBATOR                     ';
  Episode2[3].NewName := 'WARP FACTOR                   ';
  Episode2[4].NewName := 'FUSION STATION                ';
  Episode2[5].NewName := 'OCCUPIED TERRITORY            ';
  Episode2[6].NewName := 'TIBERIUS STATION              ';
  Episode2[7].NewName := 'LUNAR REACTOR                 ';
  Episode2[8].NewName := 'DARK SIDE                     ';
  Episode2[9].NewName := 'OVERLORD                      ';
  Episode2[10].NewName := 'SPIN CYCLE                    ';
  Episode2[11].NewName := 'LUNATIC FRINGE                ';

  IF Draw THEN
    BEGIN
      TcTb (14,1);
      FOR Count := 3 TO 13 DO WrtS (6,Count,'                                        ');
      FOR Count := 1 TO 11 DO
        BEGIN
          WrtS (6,Count + 2,Episode2[Count].MapName);
          WrtS (16,Count + 2,Episode2[Count].NewName);
        END;
    END;
END;

{***************************************************************************}
PROCEDURE ResetEpisode3 (VAR Episode3 : EpisodeArray; Draw : Boolean);

VAR
  Count : Byte;

BEGIN
  Episode3[1].MapName := 'E3L1    ';
  Episode3[2].MapName := 'E3L2    ';
  Episode3[3].MapName := 'E3L3    ';
  Episode3[4].MapName := 'E3L4    ';
  Episode3[5].MapName := 'E3L5    ';
  Episode3[6].MapName := 'E3L6    ';
  Episode3[7].MapName := 'E3L7    ';
  Episode3[8].MapName := 'E3L8    ';
  Episode3[9].MapName := 'E3L9    ';
  Episode3[10].MapName := 'E3L10   ';
  Episode3[11].MapName := 'E3L11   ';

  Episode3[1].NewName := 'RAW MEAT                      ';
  Episode3[2].NewName := 'BANK ROLL                     ';
  Episode3[3].NewName := 'FLOOD ZONE                    ';
  Episode3[4].NewName := 'L.A. RUMBLE                   ';
  Episode3[5].NewName := 'MOVIE SET                     ';
  Episode3[6].NewName := 'RABID TRANSIT                 ';
  Episode3[7].NewName := 'FAHRENHEIT                    ';
  Episode3[8].NewName := 'HOTEL HELL                    ';
  Episode3[9].NewName := 'STADIUM                       ';
  Episode3[10].NewName := 'TIER DROPS                    ';
  Episode3[11].NewName := 'FREEWAY                       ';
  IF Draw THEN
    BEGIN
      TcTb (14,1);
      FOR Count := 3 TO 13 DO WrtS (6,Count,'                                        ');
      FOR Count := 1 TO 11 DO
        BEGIN
          WrtS (6,Count + 2,Episode3[Count].MapName);
          WrtS (16,Count + 2,Episode3[Count].NewName);
        END;
    END;
END;

{***************************************************************************}
PROCEDURE ResetEpisode (EpisodeNum : Byte; VAR Episode : EpisodeArray);

BEGIN
  CASE EpisodeNum OF
    1 : ResetEpisode1 (Episode,True);
    2 : ResetEpisode2 (Episode,True);
    3 : ResetEpisode3 (Episode,True);
  END;
END;

{***************************************************************************}
PROCEDURE DirectoryWindow (FileType : STRING; DirList : ListType; VAR NumInWin : Byte);

VAR
  Count     : Byte;
  MapFile   : ListElementType;
  TempChr   : Char;

BEGIN
  MakeWin (7,1,5,13,18,10,True,True);
  TcTb (15,1);
  IF NOT(EmptyList(DirList)) THEN
      BEGIN
        IF ListLength(DirList) >= 8 THEN NumInWin := 8
          ELSE NumInWin := ListLength(DirList);
        FOR Count := 1 TO NumInWin DO
          BEGIN
            MapFile.Position := Count;
            RetrieveElement (DirList,MapFile);
            WrtS (2,Count,MapFile.FileName);
          END;
      END
    ELSE
      BEGIN
        WrtS (2,1,'No ' + FileType + ' Found');
        WrtS (2,2,'Press <ENTER>');
        HideCursor (1,1,1);
        REPEAT
          TempChr := readkey
        UNTIL TempChr = #13;
      END;
END;

{***************************************************************************}
PROCEDURE DirSelect
  (RegText, RegBack, SelText, SelBack, Startx, StartY, Height : Byte;
   VAR Selected      : ListElementType;
   VAR Cursor        : Byte;
       DirList       : ListType);

VAR
  Choice  : Char;
  Top     : Integer;

{+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++}
PROCEDURE Move
  (Choice     : Char;
   VAR Cursor : Byte);

VAR
  Count : Byte;

BEGIN
  CASE Choice OF
    #72 : IF Cursor > 1 THEN dec(Cursor)
            ELSE IF (Top + Cursor - 1) > 1 THEN dec(Top);
    #80 : IF Cursor < Height THEN inc(Cursor)
            ELSE IF (Top + Cursor - 1) < ListLength(DirList) THEN inc(Top);
    #71 : BEGIN
            Cursor := 1;
            Top := 1;
          END;
    #79 : BEGIN
            Cursor := Height;
            Top := (ListLength(DirList) - Height + 1);
          END;
  END;
  TcTb (RegText, RegBack);
  FOR Count := 1 TO Height DO
    BEGIN
      Selected.Position := (Count + Top - 1);
      RetrieveElement (DirList,Selected);
      WrtS (StartX,Count,Selected.FileName);
    END;
  TcTb (SelText, SelBack);
  Selected.Position := Cursor + Top - 1;
  RetrieveElement (DirList,Selected);
  WrtS (StartX, (Cursor + StartY - 1), Selected.FileName);
END;

{+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++}

BEGIN
  TcTb (SelText, SelBack);
  Top := Cursor;
  Selected.Position := Cursor;
  RetrieveElement (DirList,Selected);
  WrtS (StartX, (Cursor + StartY - 1), Selected.FileName);
  Hidecursor (StartX, (Cursor + StartY - 1), SelBack);
  Choice := readkey;
  WHILE NOT(Choice IN [#13,#27]) DO
    BEGIN
      IF ((Choice = #72) AND ((Cursor + Top - 1) > 1)) OR
         ((Choice = #80) AND ((Cursor + Top - 1) < ListLength(DirList))) OR
         (Choice IN [#71,#79]) THEN Move (Choice,Cursor);
      Hidecursor (StartX, (Cursor + StartY - 1), SelBack);
      Choice := readkey;
    END;
  IF Choice = #27 THEN Cursor := 0;
END;

{***************************************************************************}
PROCEDURE GetDirectory (FileType : STRING; VAR DirList : ListType);

VAR
  DirInfo  : SearchRec;
  NumFiles,
  Count    : Byte;
  MapFile  : ListElementType;

BEGIN
  FindFirst (FileType,Archive,DirInfo);
  NumFiles := 0;
  WHILE (DosError = 0) AND (NumFiles < 255) DO
    BEGIN
      inc(NumFiles);
      MapFile.FileName := ' ' + DirInfo.Name;
      FOR Count := length(MapFile.FileName) TO 13 DO
        MapFile.FileName := MapFile.FileName + ' ';
      InsertElement (DirList,MapFile);
      FindNext(DirInfo);
    END;

  ResetList (DirList);
  FOR Count := 1 TO NumFiles DO
    BEGIN
      GetNextItem (DirList,MapFile);
      DeleteElement (DirList,MapFile);
      MapFile.Position := Count;
      InsertElement (DirList,MapFile);
    END;
END;

{***************************************************************************}
PROCEDURE WriteEpisodeData (Episode : EpisodeArray; Levels : Byte);

VAR
  Count : Byte;

BEGIN
  MakeWin (7,1,30,Levels + 9,46,3,True,True);
  TcTb (11,1);
  WrtS (2,1,'ENTER');
  WrtS (17,1,'TAB');
  WrtS (30,1,'DEL');

  TcTb (15,1);
  WrtS (7,1,'=MAP File');
  WrtS (20,1,'=MAP Name');
  WrtS (33,1,'=Delete MAP');

  MakeWin (7,1,29,3,48,Levels + 4,True,True);
  WrtS (2,2,'    ');
  TcTb (11,1);
  WrtS (2,1,'##  MAP File  MAP Name');
  TcTb (10,1);
  WrtS (26,1,'(F1=Default Episode)');
  TcTb (15,1);
  FOR Count := 1 TO Levels DO WrtI (2,Count + 2,Count);
  TcTb (14,1);
  FOR Count := 1 TO Levels DO
    BEGIN
      WrtS (6,Count + 2,Episode[Count].MapName);
      WrtS (16,Count + 2,Episode[Count].NewName);
    END;
END;

{***************************************************************************}
PROCEDURE ChangeMAP (MapPosition : Byte; VAR MAP : EpisodePart);

VAR
  Cursor,
  NumInWin,
  Count,
  Position : Byte;
  Selected : ListElementType;
  DirList  : ListType;

BEGIN

  IF MapPosition <= 11 THEN
      BEGIN
        CreateList (DirList);
        GetDirectory ('*.map',DirList);
        DirectoryWindow ('.MAP',DirList,NumInWin);
        IF ListLength(DirList) = 0 THEN Cursor := 0
          ELSE
            BEGIN
              Cursor := 1;
              DirSelect (15,1,0,7,2,1,NumInWin,Selected,Cursor,DirList);
            END;
        IF Cursor > 0 THEN
          BEGIN
            Position := pos('.',Selected.FileName);
            delete (Selected.FileName,1,1);
            delete (Selected.FileName,(Position - 1),length(Selected.FileName));
            MAP.MapName := Selected.FileName;
            MAP.NewName := Selected.FileName + '.MAP';
            FOR Count := length(MAP.NewName) TO 29 DO
              MAP.NewName := MAP.NewName + ' ';
          END;
        DestroyList (DirList);

        window (1,1,80,25);
        TcTb (8,0);
        FOR Count := 12 TO 23 DO
          WrtS (5,Count,'');
      END
    ELSE
      BEGIN
        MAP.MapName := '--------';
        MAP.NewName := '------------------------------';
        MapPosition := MapPosition - 11;
      END;

  window (30,4,77,17);
  TcTb (14,1);
  WrtS (6,MapPosition + 2,'        ');
  WrtS (6,MapPosition + 2,MAP.MapName);
  FOR Count := 1 TO 30 DO
    WrtC (Count + 15,MapPosition + 2,' ');
  WrtS (16,MapPosition + 2,MAP.NewName);
END;

{***************************************************************************}
PROCEDURE ChangeName (MapPosition : Byte; VAR MAPName : STRING);

VAR
  Charac : Char;
  Count  : Byte;
  Exit   : Boolean;

BEGIN
  TcTb (15,3);
  FOR Count := 1 TO 30 DO
    BEGIN
      WrtC (Count + 15,MapPosition + 2,' ');
      MapName[Count] := ' ';
    END;

  gotoXY (16,MapPosition + 2);
  Exit := False;
  Count := 0;
  WHILE NOT Exit DO
     BEGIN
       Charac := upcase(readkey);
       IF (Charac IN [#33..#126,' ']) AND (Count IN [0..29]) THEN
           BEGIN
             inc(Count);
             MapName[Count] := Charac;
             WrtS (Count + 15,MapPosition + 2,MapName[Count]);
             IF Count = 30 THEN GotoXY (45,MapPosition + 2);
           END
         ELSE
           IF (Charac = #8) AND (Count >= 1) THEN
               BEGIN
                 MapName[Count] := ' ';
                 WrtS (Count + 15,MapPosition + 2,MAPName[Count]);
                 GotoXY (Count + 15,MapPosition + 2);
                 dec(Count);
               END
             ELSE
               IF (Charac = #13) THEN
                   Exit := True
                 ELSE
                   IF (Charac = #0) THEN
                     ELSE Beep (700,50);
     END;

  TcTb (14,1);
  FOR Count := 1 TO 30 DO WrtC (Count + 15,MapPosition + 2,MapName[Count]);
END;

{***************************************************************************}
PROCEDURE EditEpisode (EpisodeNum, MaxLevel : Byte; VAR Episode : EpisodeArray);

VAR
  Choice   : Char;
  Cursor,
  NumInWin : Byte;
  DirList  : ListType;
  Menu     : MenuType;

BEGIN
  Choice := #13;
  FOR Cursor := 1 TO MaxLevel DO
    BEGIN
      str(Cursor,Menu[Cursor]);
      Menu[Cursor] := ' ' + Menu[Cursor] + ' ';
      IF Cursor IN [1..9] THEN Menu[Cursor] := Menu[Cursor] + ' ';
    END;
  Cursor := 1;
  WriteEpisodeData (Episode,MaxLevel);

  WHILE Choice <> #27 DO
    BEGIN
      Select (15,1,0,7,1,3,MaxLevel,Cursor,Choice,Menu);
      CASE Choice OF
        #13 : ChangeMAP (Cursor,Episode[Cursor]);
        #83 : ChangeMAP (Cursor + 11,Episode[Cursor]);
         #9 : ChangeName (Cursor,Episode[Cursor].NewName);
        #59 : ResetEpisode (EpisodeNum,Episode);
      END;
    END;
END;

{***************************************************************************}
FUNCTION Verify (VAR SODFile : STRING) : Boolean;

VAR
  Episode1,
  Episode2,
  Episode3 : EpisodeArray;
  DirInfo  : SearchRec;
  MultSOD  : ListElementType;
  DirList  : ListType;
  NumInWin,
  Cursor,
  Count    : Byte;

BEGIN
  Verify := True;
  IF ParamCount > 0 THEN
      BEGIN
        SODFile := ParamStr(1);
        FindFirst (SODFile,Archive,DirInfo);
        IF DOSError = 0 THEN Verify := True
          ELSE Verify := False;
      END
    ELSE
      BEGIN
        CreateList (DirList);
        GetDirectory ('*.sod',DirList);
        IF ListLength(DirList) > 1 THEN
            BEGIN
              writeln ('Multiple Episode data files found! (', ListLength(DirList),') files found.');
              writeln ('Select the .SOD file you would like to use:');
              IF ListLength(DirList) >= 10 THEN NumInWin := 10
                ELSE NumInWin := ListLength(DirList);
              MakeWin (7,0,1,3,18,12,False,False);
              FOR Count := 1 TO NumInWin DO
                BEGIN
                  MultSOD.Position := Count;
                  RetrieveElement (DirList,MultSOD);
                  WrtS (1,Count,MultSOD.FileName);
                END;
              Cursor := 1;
              DirSelect (7,0,0,7,1,1,NumInWin,MultSOD,Cursor,DirList);
              delete(MultSOD.FileName,1,1);
              delete(MultSOD.FileName,pos(' ',MultSOD.FileName),length(MultSOD.FileName));
              SODFile := MultSOD.FileName;
              IF Cursor = 0 THEN Verify := False;
            END
          ELSE
            IF ListLength(DirList) = 1 THEN
                BEGIN
                  MultSOD.Position := 1;
                  RetrieveElement (DirList,MultSOD);
                  delete(MultSOD.FileName,1,1);
                  delete(MultSOD.FileName,pos(' ',MultSOD.FileName),length(MultSOD.FileName));
                  SODFile := MultSOD.FileName;
                END
              ELSE
                BEGIN
                  SODFile := 'DEFAULT.SOD';
                  ResetEpisode1 (Episode1,False);
                  ResetEpisode2 (Episode2,False);
                  ResetEpisode3 (Episode3,False);
                  SaveSettings (SODFile,Episode1,Episode2,Episode3);
                END;
        DestroyList (DirList);
      END;

  FOR Count := 1 TO length(SODFile) DO
    SODFile[Count] := upcase(SODFile[Count]);
END;

{***************************************************************************}
PROCEDURE Load (VAR SODFile : STRING; VAR Episode1, Episode2, Episode3 : EpisodeArray);

VAR
  Selected : ListElementType;
  DirList  : ListType;
  Cursor,
  NumInWin : Byte;

BEGIN
  CreateList (DirList);
  GetDirectory ('*.sod',DirList);
  DirectoryWindow ('.SOD',DirList,NumInWin);
  Cursor := 1;
  DirSelect (15,1,0,7,2,1,NumInWin,Selected,Cursor,DirList);
  DestroyList (DirList);
  delete(Selected.FileName,1,1);
  delete(Selected.FileName,pos(' ',Selected.FileName),length(Selected.FileName));
  IF Cursor > 0 THEN SODFile := Selected.FileName;
  ReadSettings (SODFile,Episode1,Episode2,Episode3);
END;

{***************************************************************************}
PROCEDURE Rename (VAR SODFile : STRING; Episode1,Episode2,Episode3 : EpisodeArray);

VAR
  Charac : Char;
  Count  : Byte;
  Exit   : Boolean;

BEGIN

  window (7,3,20,3);
  TcTb (15,1);
  WrtS (9,1,'.SOD ');
  TcTb (15,3);
  FOR Count := 1 TO 8 DO
      WrtC (Count,1,' ');

  SODFile := '            ';

  gotoXY (1,1);
  Exit := False;
  Count := 0;
  WHILE NOT Exit DO
     BEGIN
       Charac := upcase(readkey);
       IF (Charac IN ['A'..'Z']) AND (Count IN [0..7]) THEN
           BEGIN
             inc(Count);
             SODFile[Count] := Charac;
             WrtS (Count,1,SODFile[Count]);
             IF Count = 8 THEN GotoXY (8,1);
           END
         ELSE
           IF (Charac = #8) AND (Count >= 1) THEN
               BEGIN
                 SODFile[Count] := ' ';
                 WrtS (Count,1,SODFile[Count]);
                 GotoXY (Count,1);
                 dec(Count);
               END
             ELSE
               IF (Charac = #13) THEN
                   Exit := True
                 ELSE
                   IF (Charac = #0) THEN
                     ELSE Beep (700,50);
     END;
  delete (SODFile,pos(' ',SODFile),length(SODFile));
  SODFile := SODFile + '.SOD';
  SaveSettings (SODFile,Episode1,Episode2,Episode3);
END;

{***************************************************************************}
PROCEDURE CheckSaves (SODFile : STRING; Episode1, Episode2, Episode3 : EpisodeArray);

VAR
  Menu   : MenuType;
  Cursor : Byte;
  Choice : Char;

BEGIN
  Menu[1] := ' YES ';
  Menu[2] := ' NO  ';

  Clear (7,0,1,1,80,25);
  WrtS (2,1,'Save ' + SODFile + '?');
  WrtS (2,2,Menu[1]);
  WrtS (2,3,Menu[2]);
  Cursor := 1;
  Select (7,0,0,7,2,2,2,Cursor,Choice,Menu);
  IF Cursor = 1 THEN SaveSettings (SODFile,Episode1,Episode2,Episode3);

  TcTb (7,0);
  WrtS (2,1,'Import ' + SODFile + ' into USER.CON?');
  TcTb (7,0);
  WrtS (2,2,Menu[1]);
  WrtS (2,3,Menu[2]);
  Cursor := 1;
  Select (7,0,0,7,2,2,2,Cursor,Choice,Menu);
  IF Cursor = 1 THEN SaveCON (Episode1,Episode2,Episode3);
END;

{***************************************************************************}
PROCEDURE BackGround;

BEGIN
  Clear (0,7,1,1,80,1);
  WrtS (2,1,'Episoder ver2.2 by Charlie Wiederhold');
  WrtS (53,1,'(c) 1996 Charlie Wiederhold');
  Clear (0,7,1,25,80,25);
  WrtS (15,1,'Visit WiederWeb: http://ccwf.cc.utexas.edu/~wieder/');
  TcTb (5,7);
  WrtC (13,1,#9);
  WrtC (67,1,#9);
END;

{***************************************************************************}
PROCEDURE MainScreenSetup
  (SODFile : STRING; Menu : MenuType);

VAR
  Count : Byte;

BEGIN
  Window (1,2,80,25);
  TcTb (8,0);
  FOR Count := 1 TO 23 DO
    WrtS (1,Count,'');
  MakeWin (7,1,3,3,22,8,True,True);
  TcTb (15,1);
  FOR Count := 1 TO 6 DO
    WrtS (2,Count,Menu[Count]);
  Clear (10,1,7,3,length(SODFile) + 8,3);
  WrtS (1,1,' ' + SODFile);
  window (4,4,25,9);
END;

{***************************************************************************}
PROCEDURE Initialize
  (SODFile       : STRING;
   VAR Menu      : MenuType;
   VAR Exit      : Boolean;
   VAR Cursor    : Byte;
   VAR Episode1,
       Episode2,
       Episode3  : EpisodeArray);

BEGIN
  Menu[1] := ' L.A. Meltdown ';
  Menu[2] := ' Lunar Apocalypse ';
  Menu[3] := ' Shrapnel City ';
  Menu[4] := ' Load A SOD File ';
  Menu[5] := ' Rename SOD File ';
  Menu[6] := ' Exit Episoder ';
  Exit := False;
  Cursor := 1;
  ReadSettings (SODFile,Episode1,Episode2,Episode3);
END;

{***************************************************************************}
PROCEDURE ControlProcessing;

VAR
  Choice      : Char;
  SODFile     : STRING;
  Cursor      : Byte;
  Menu        : MenuType;
  Exit        : Boolean;
  Episode1,
  Episode2,
  Episode3    : EpisodeArray;

BEGIN
  checkbreak := False;
  clear (7,0,1,1,80,25);
  IF Verify(SODFile) THEN
    BEGIN
      Initialize (SODFile,Menu,Exit,Cursor,Episode1,Episode2,Episode3);
      BackGround;
      Choice := #13;
      REPEAT
        IF Choice = #13 THEN MainScreenSetup (SODFile,Menu);
        Select (15,1,0,7,2,1,6,Cursor,Choice,Menu);
        IF Choice = #13 THEN
          CASE Cursor OF
            1 : EditEpisode (1,7,Episode1);
            2 : EditEpisode (2,11,Episode2);
            3 : EditEpisode (3,11,Episode3);
            4 : Load (SODFile,Episode1,Episode2,Episode3);
            5 : Rename (SODFile,Episode1,Episode2,Episode3);
            6 : Exit := True;
          END;
      UNTIL Exit;
      CheckSaves (SODFile,Episode1,Episode2,Episode3);
      clear (7,0,1,1,80,25);
      writeln ('Thanks for using Episoder ver2.2 by Charlie Wiederhold.');
      writeln ('WiederWeb : http://ccwf.cc.utexas.edu/~wieder/');
    END
  ELSE
    BEGIN
      Clear (7,0,1,1,80,25);
      writeln ('ERROR: Episoder could not execute because:');
      writeln;
      IF ParamCount = 0 THEN writeln (' 1) You did not select a .SOD file.')
        ELSE writeln (' 1) ',SODFile,' could not be found.');
      readln;
    END;
END;

{***************************************************************************}

BEGIN
  ControlProcessing;
END.